# -*- coding: utf-8 -*-
#
# Copyright (c) 2012-2014, CRS4
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
# the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

MESSAGES = {'ACK': ('sequence', (('MSH', (1, 1)), ('MSA', (1, 1)), ('ERR', (0, 1)))),
 'ADR_A19': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('ADR_A19_QUERY_RESPONSE', (1, -1)),
              ('DSC', (0, 1)))),
 'ADT_A01': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A01_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A02': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A03': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A04': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A04_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A05': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A05_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A06': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (0, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A06_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A07': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (0, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A07_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A08': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A08_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A09': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A10': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A11': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A12': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A13': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A13_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A14': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A14_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A15': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A16': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('DG1', (0, -1)))),
 'ADT_A17': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A18': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (0, 1)),
              ('PV1', (1, 1)))),
 'ADT_A20': ('sequence', (('MSH', (1, 1)), ('EVN', (1, 1)), ('NPU', (1, 1)))),
 'ADT_A21': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A22': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A23': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A24': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (0, 1)),
              ('PID', (1, 1)),
              ('PV1', (0, 1)))),
 'ADT_A25': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A26': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A27': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A28': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A28_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A29': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A30': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (1, 1)))),
 'ADT_A31': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('NK1', (0, -1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('AL1', (0, -1)),
              ('DG1', (0, -1)),
              ('PR1', (0, -1)),
              ('GT1', (0, -1)),
              ('ADT_A31_INSURANCE', (0, -1)),
              ('ACC', (0, 1)),
              ('UB1', (0, 1)),
              ('UB2', (0, 1)))),
 'ADT_A32': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A33': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (1, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)))),
 'ADT_A34': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (1, 1)))),
 'ADT_A35': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (1, 1)))),
 'ADT_A36': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('MRG', (1, 1)))),
 'ADT_A37': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (0, 1)),
              ('PID', (1, 1)),
              ('PV1', (0, 1)))),
 'BAR_P01': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('BAR_P01_VISIT', (1, -1)))),
 'BAR_P02': ('sequence',
             (('MSH', (1, 1)), ('EVN', (1, 1)), ('BAR_P02_PATIENT', (1, -1)))),
 'DFT_P03': ('sequence',
             (('MSH', (1, 1)),
              ('EVN', (1, 1)),
              ('PID', (1, 1)),
              ('PV1', (0, 1)),
              ('PV2', (0, 1)),
              ('OBX', (0, -1)),
              ('FT1', (1, -1)))),
 'DSR_P04': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSP', (1, -1)),
              ('DSC', (0, 1)))),
 'DSR_Q01': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSP', (1, -1)),
              ('DSC', (0, 1)))),
 'DSR_Q03': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSP', (1, -1)),
              ('DSC', (0, 1)))),
 'DSR_R03': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSP', (1, -1)),
              ('DSC', (0, 1)))),
 'MFD_M01': ('sequence', (('MSH', (1, 1)), ('MFI', (1, 1)), ('MFA', (0, -1)))),
 'MFD_M02': ('sequence', (('MSH', (1, 1)), ('MFI', (1, 1)), ('MFA', (0, -1)))),
 'MFD_M03': ('sequence', (('MSH', (1, 1)), ('MFI', (1, 1)), ('MFA', (0, -1)))),
 'MFK_M01': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('MFI', (1, 1)),
              ('MFA', (0, -1)))),
 'MFK_M02': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('MFI', (1, 1)),
              ('MFA', (0, -1)))),
 'MFK_M03': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('MFI', (1, 1)),
              ('MFA', (0, -1)))),
 'MFN_M01': ('sequence',
             (('MSH', (1, 1)), ('MFI', (1, 1)), ('MFN_M01_MF', (1, -1)))),
 'MFN_M02': ('sequence',
             (('MSH', (1, 1)),
              ('MFI', (1, 1)),
              ('MFN_M02_MF_STAFF', (1, -1)))),
 'MFN_M03': ('sequence',
             (('MSH', (1, 1)), ('MFI', (1, 1)), ('MFN_M03_MF_TEST', (1, -1)))),
 'MFQ_M01': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'MFQ_M02': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'MFQ_M03': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'MFR_M01': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('MFI', (1, 1)),
              ('MFR_M01_MF', (1, -1)),
              ('DSC', (0, 1)))),
 'MFR_M02': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('MFI', (1, 1)),
              ('MFR_M02_MF_STAFF', (1, -1)),
              ('DSC', (0, 1)))),
 'MFR_M03': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('MFI', (1, 1)),
              ('MFR_M03_MF_TEST', (1, -1)),
              ('DSC', (0, 1)))),
 'NMD_N01': ('sequence',
             (('MSH', (1, 1)),
              ('NMD_N01_CLOCK_AND_STATS_WITH_NOTES', (1, -1)))),
 'NMQ_N02': ('sequence',
             (('MSH', (1, 1)),
              ('NMQ_N02_QRY_WITH_DETAIL', (0, 1)),
              ('NMQ_N02_CLOCK_AND_STATISTICS', (1, -1)))),
 'NMR_N02': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ERR', (0, 1)),
              ('QRD', (0, 1)),
              ('NMR_N02_CLOCK_AND_STATS_WITH_NOTES_ALT', (1, -1)))),
 'ORF_R04': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('ORF_R04_QUERY_RESPONSE', (1, -1)),
              ('ORF_R04_ORDER', (1, -1)),
              ('DSC', (0, 1)))),
 'ORM_O01': ('sequence',
             (('MSH', (1, 1)),
              ('NTE', (0, -1)),
              ('ORM_O01_PATIENT', (0, 1)),
              ('ORM_O01_ORDER', (1, -1)))),
 'ORR_O02': ('sequence',
             (('MSH', (1, 1)),
              ('MSA', (1, 1)),
              ('NTE', (0, -1)),
              ('ORR_O02_PATIENT', (0, 1)))),
 'ORU_R01': ('sequence',
             (('MSH', (1, 1)),
              ('ORU_R01_PATIENT_RESULT', (1, -1)),
              ('DSC', (0, 1)))),
 'QRY_A19': ('sequence', (('MSH', (1, 1)), ('QRD', (1, 1)), ('QRF', (0, 1)))),
 'QRY_P04': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'QRY_Q01': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'QRY_Q02': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (0, 1)),
              ('DSC', (0, 1)))),
 'QRY_R02': ('sequence',
             (('MSH', (1, 1)),
              ('QRD', (1, 1)),
              ('QRF', (1, 1)),
              ('DSC', (0, 1)))),
 'UDM_Q05': ('sequence',
             (('MSH', (1, 1)),
              ('URD', (1, 1)),
              ('URS', (0, 1)),
              ('DSP', (1, -1)),
              ('DSC', (1, 1))))}
